cdac.medinfo.ccd.datatype

## Class SC

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.BIN
    - - cdac.medinfo.ccd.datatype.ED
      - - cdac.medinfo.ccd.datatype.ST
        - - cdac.medinfo.ccd.datatype.SC

- All Implemented Interfaces:
    java.io.Serializable

      public class SC
      extends ST

  A ST that optionally may have a code attached. The text must always be present if a code is present. The code is often a local code.

  Java class for SC complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SC">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ST">
             <attribute name="code" type="{urn:hl7-org:v3}cs" />
             <attribute name="codeSystem" type="{urn:hl7-org:v3}uid" />
             <attribute name="codeSystemName" type="{urn:hl7-org:v3}st" />
             <attribute name="codeSystemVersion" type="{urn:hl7-org:v3}st" />
             <attribute name="displayName" type="{urn:hl7-org:v3}st" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SC()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Gets the value of the code property.
    `java.lang.String` | `getCodeSystem()` Gets the value of the codeSystem property.
    `java.lang.String` | `getCodeSystemName()` Gets the value of the codeSystemName property.
    `java.lang.String` | `getCodeSystemVersion()` Gets the value of the codeSystemVersion property.
    `java.lang.String` | `getDisplayName()` Gets the value of the displayName property.
    `void` | `setCode(java.lang.String value)` Sets the value of the code property.
    `void` | `setCodeSystem(java.lang.String value)` Sets the value of the codeSystem property.
    `void` | `setCodeSystemName(java.lang.String value)` Sets the value of the codeSystemName property.
    `void` | `setCodeSystemVersion(java.lang.String value)` Sets the value of the codeSystemVersion property.
    `void` | `setDisplayName(java.lang.String value)` Sets the value of the displayName property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ED

      `getCompression, getIntegrityCheck, getIntegrityCheckAlgorithm, getLanguage, getMediaType, getReference, getThumbnail, setCompression, setIntegrityCheck, setIntegrityCheckAlgorithm, setLanguage, setMediaType, setReference, setThumbnail`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.BIN

      `getRepresentation, setRepresentation`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SC

          public SC()

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(java.lang.String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystem

          public java.lang.String getCodeSystem()

      Gets the value of the codeSystem property.
      Returns:
        possible object is `String`

    - #### setCodeSystem

          public void setCodeSystem(java.lang.String value)

      Sets the value of the codeSystem property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystemName

          public java.lang.String getCodeSystemName()

      Gets the value of the codeSystemName property.
      Returns:
        possible object is `String`

    - #### setCodeSystemName

          public void setCodeSystemName(java.lang.String value)

      Sets the value of the codeSystemName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystemVersion

          public java.lang.String getCodeSystemVersion()

      Gets the value of the codeSystemVersion property.
      Returns:
        possible object is `String`

    - #### setCodeSystemVersion

          public void setCodeSystemVersion(java.lang.String value)

      Sets the value of the codeSystemVersion property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the value of the displayName property.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(java.lang.String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`